Summary:	Library implementing the SSH2 protocol
Summary(pl.UTF-8):	Biblioteka implementująca protokół SSH2
Name:		libssh2
Version:	1.11.0
Release:	2
License:	BSD
Group:		Libraries
Source0:	https://www.libssh2.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	a01d543fd891ca48fe47726540d50b17
URL:		https://libssh2.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libssh2 is a C library implementing the SSH2 protocol according to
Internet Draft specifications SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Supported Ciphers:
- aes256-ctr, aes192-ctr, aes128-ctr,
- aes256-cbc (aka rijndael-cbc@lysator.liu.se), aes192-cbc, aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour, arcfour128
- none

Supported Key Exchange Methods:
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1
- diffie-hellman-group-exchange-sha256

Supported Hostkey Types:
- ssh-rsa
- ssh-dss

Supported Compression Methods:
- zlib, zlib@openssh.com
- none

Supported Message Authentication Codes:
- hmac-sha2-256, hmac-sha2-512
- hmac-sha1, hmac-sha1-96
- hmac-md5, hmac-md5-96
- hmac-ripemd160 (hmac-ripemd160@openssh.com)
- none

%description -l pl.UTF-8
libssh2 to biblioteka C implementująca protokół SSH2 zgodnie ze
specyfikacjami Internet Draft SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Obsługiwane szyfry:
- aes256-ctr, aes192-ctr, aes128-ctr,
- aes256-cbc (znany też jako rijndael-cbc@lysator.liu.se), aes192-cbc,
  aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour, arcfour128
- none

Obsługiwane metody wymiany kluczy:
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1
- diffie-hellman-group-exchange-sha256

Obsługiwane rodzaju kluczy hosta:
- ssh-rsa
- ssh-dss

Obsługiwane metody kompresji:
- zlib
- none

Obsługiwane kody uwierzytelniania wiadomości:
- hmac-sha2-256, hmac-sha2-512
- hmac-sha1, hmac-sha1-96
- hmac-md5, hmac-md5-96
- hmac-ripemd160 (hmac-ripemd160@openssh.com)
- none

%package devel
Summary:	Header files for libssh2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libssh2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files for libssh2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libssh2.

%package static
Summary:	Static libssh2 library
Summary(pl.UTF-8):	Biblioteka statyczna libssh2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libssh2 library.

%description static -l pl.UTF-8
Biblioteka statyczna libssh2.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-rpath \
	--disable-silent-rules \
	--with-crypto=openssl
# AC_LIB_HAVE_LINKFLAGS adds unwanted -L/usr/lib to each LTLIB* - override it
%{__make} \
	LTLIBSSL="-lssl -lcrypto" \
	LTLIBZ="-lz"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README RELEASE-NOTES docs/{AUTHORS,BINDINGS.md,TODO}
%attr(755,root,root) %{_libdir}/libssh2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh2.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libssh2.so
%{_libdir}/libssh2.la
%{_includedir}/libssh2*.h
%{_mandir}/man3/libssh2_*.3*
%{_pkgconfigdir}/libssh2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libssh2.a
%changelog
* Wed Jul 19 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libssh2.git;a=log;h=master

* Wed Jul 19 2023 Jan Palus <atler@pld-linux.org> bf987ac
- disable rpath; rel 2

* Wed May 31 2023 Jan Palus <atler@pld-linux.org> 8a04d0c
- update --with-<backend> to --with-crypto=<backend> changed in 1.9.0

* Wed May 31 2023 Jan Palus <atler@pld-linux.org> 91aabf0
- up to 1.11.0

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 852e842
- rebuild with openssl 3.0.0

* Mon Aug 30 2021 Jan Palus <atler@pld-linux.org> 439fd9e
- up to 1.10.0

* Wed Jul 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 1dfe75e
- updated to 1.9.0

* Fri Mar 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 27c2e60
- updated to 1.8.2

* Mon Mar 18 2019 Adam Osuchowski <adwol@pld-linux.org> 5585031
- up to 1.8.1 (fixes CVE-2019-3855, CVE-2019-3856, CVE-2019-3857, CVE-2019-3858, CVE-2019-3859, CVE-2019-3860, CVE-2019-3861, CVE-2019-3862, CVE-2019-3863)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 34b0e8c
- release 2 (by relup.sh)

* Wed Dec 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 0d2ae8e
- updated to 1.8.0 (compatible with openssl 1.1 now)

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 658acb4
- updated to 1.7.0 (fixes CVE-2016-0787)

* Wed Oct 07 2015 Adam Osuchowski <adwol@pld-linux.org> b9c3468
- up to 1.6.0

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 0492a41
- updated to 1.5.0 (includes fix for CVE-2015-1782)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6f7a09a
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 66ad6b3
- updated to 1.4.3

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> aebfb00
- updated to 1.4.2

* Tue Apr 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 7022e6b
- updated to 1.4.1

* Fri Feb 03 2012 Jakub Bogusz <qboosh@pld-linux.org> ffd1034
- updated to 1.4.0

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3d9854a
- updated to 1.3.0

* Wed Aug 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 7403d9c
- updated to 1.2.9
- removed obsolete version patch

